using System;
using System.Globalization;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace CellTemplateProblem
{
    class ItemConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {           
            if (value == null) return null;

            var column = (GridViewDataColumn) parameter;

            return new CombinedItem {SomeProperty = "R" + value.ToString() + " C" + column.Tag}.SomeProperty;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {            
            //Maybe you need to write some additional ConvertBack logic here.
            return value;
        }
    }
}
